View Issue Details

IDProjectCategoryView StatusLast Update
0000098Freifunk Franken Firmware[All Projects] Generalpublic2019-10-02 12:49
ReporterAdrian Schmutzler Assigned To 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version20180726-beta 
Target Versionnext-featureFixed in Version20180726-beta 
Summary0000098: alfred geht manchmal kaputt/kommt nicht hoch
DescriptionSelten kommt Alfred nicht hoch und kann auch mittels /etc/init.d/alfred restart nicht wiederbelebt werden.

Dies liegt wie von Christian entdeckt (https://mantis.freifunk-franken.de/view.php?id=92) an zu langen interface IDs in /proc/net/if_inet6.

Normal:
fd43560229bd0018ea94f6fffebdb877 c8 40 00 80 br-mesh
fd43560229bd00180000e894f6bdb877 c8 40 00 80 br-mesh
fdff0000000000000000e894f6bdb877 c8 40 00 80 br-mesh
fe800000000000000000000000000001 ce 40 20 80 w2configap
fdff0000000000000000000000000001 c8 40 00 80 br-mesh
00000000000000000000000000000001 01 80 10 80 lo
fe80000000000000ea94f6fffebdb877 cc 40 20 80 w2mesh
fe80000000000000ec94f6fffebdb877 ce 40 20 80 w2configap
fe80000000000000e894f6fffebdb877 cd 40 20 80 w2ap
fe80000000000000ea94f6fffebdb877 c8 40 20 80 br-mesh
fdff000000000000ea94f6fffebdb877 c8 40 00 80 br-mesh

Manchmal:
fdff0000000000000000f81a6782f734 16f 40 00 80 br-mesh
fe80000000000000fa1a67fffe82f734 173 40 20 80 w2mesh
fe80000000000000f81a67fffe82f734 174 40 20 80 w2ap
fe80000000000000fa1a67fffe82f734 16f 40 20 80 br-mesh
fdff000000000000fa1a67fffe82f734 16f 40 00 80 br-mesh
fe80000000000000fc1a67fffe82f734 175 40 20 80 w2configap
fd43560229bd0018fa1a67fffe82f734 16f 40 00 80 br-mesh
fe800000000000000000000000000001 175 40 20 80 w2configap
fdff0000000000000000000000000001 16f 40 00 80 br-mesh
00000000000000000000000000000001 01 80 10 80 lo
fd43560229bd00180000f81a6782f734 16f 40 00 80 br-mesh

In /etc/init.d/alfred steht in Zeile 51-57:
                if awk '
                        BEGIN { RET=1 }
                        /^fe80.{37} [012389ab]/ { if ($6 == "'"$iface"'") RET=0 }
                        END { exit RET }
                ' /proc/net/if_inet6; then
                        return
                fi

Ă„ndert man den Regex in
/^fe80.{37}[a-z0-9]? [012389ab]/ { if ($6 == "'"$iface"'") RET=0 }
funktioniert alfred bei beiden Varianten.

Bitte kommentieren, wie ich das Patchen soll!
TagsNo tags attached.

Issue History

Date Modified Username Field Change
2018-03-12 12:13 Adrian Schmutzler New Issue
2018-03-20 12:09 Adrian Schmutzler Note Added: 0000263
2018-06-17 17:51 reddog Status new => resolved
2018-06-17 17:51 reddog Resolution open => fixed
2018-06-17 17:51 reddog Fixed in Version => 20180726-beta
2019-10-02 12:48 fbl Category Freifunk Franken Firmware => General
2019-10-02 12:48 fbl Category General => General2
2019-10-02 12:49 fbl Category General2 => General